--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Register aninstance method as hookable. Registering a method means that before hooks will be run immediately before the method is invoked and after hooks will be called immediately after the method is invoked.
- !ruby/struct:SM::Flow::P 
  body: "@param hookable_method&lt;Symbol&gt; The name of the instance method that should"
- !ruby/struct:SM::Flow::VERB 
  body: "  be hookable\n"
- !ruby/struct:SM::Flow::P 
  body: "- @api public"
full_name: Extlib::Hook::ClassMethods#register_instance_hooks
is_singleton: false
name: register_instance_hooks
params: (*hooks)
visibility: public
